Strophe 0.13 XMPP client library

Data Fields
hash_alg Struct Reference

`#include <scram.h>`

## Data Fields
const char * | scram_name
int | mask
size_t | digest_size
void(* | hash )(const uint8_t *, size_t, uint8_t *)
void(* | init )(void *)
void(* | update )(void *, const uint8_t *, size_t)
void(* | final )(void *, uint8_t *)

## Field Documentation

## ◆ scram_name

const char* hash_alg::scram_name

## ◆ mask

int hash_alg::mask

## ◆ digest_size

size_t hash_alg::digest_size

## ◆ hash

void(* hash_alg::hash) (const uint8_t *, size_t, uint8_t *)

## ◆ init

void(* hash_alg::init) (void *)

## ◆ update

void(* hash_alg::update) (void *, const uint8_t *, size_t)

## ◆ final

void(* hash_alg::final) (void *, uint8_t *)

The documentation for this struct was generated from the following file:

- scram.h